<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="popup" title="Select file">
<base:head 
	scripts="~select_file.js,~../reggie-2.js"
	styles="~../css/reggie-2.css"
	>

<script language="JavaScript">
var debug = 0;


</script>
<style>
#loading
{
	text-align: center; 
	background-color: #FFFFFF;
	margin-right: 2em;
}
</style>
</base:head>
<base:body>

	<h1>Select file</h1>
	<form name="reggie">

	<div class="content">
		<div>
		<table class="fullform input100 bottomborder">
		<tr>
			<th>File</th>
			<td>
				<input class="text" type="file" name="rnaFile" id="rnaFile" accept="text/plain">
			</td>
		</tr>
		</table>
		</div>
		
		<div class="padded">
			The file must be a tab-separated text file with no headers and  
			the following data columns:
			<ul>
			<li>RNA name (eg. 1234567.1.l.r)
			<li>Work plate row coordinate (eg. A)
			<li>Work plate column coordinate (eg. 1)
			<li>QC flag (empty or '0' for no QC, any other value for QC).
			</ul>
		</div>

			<div id="wizard-status"></div>
		
	</div>
	</form>
	
	<base:buttongroup subclass="dialogbuttons">
		<base:button id="close" title="Cancel" />
	</base:buttongroup>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>